Loading...
Searching...
No Matches
casacore::TVecMath_global_functions_miscellaneous Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

Miscellaneous table vector operations. More...

`#include <TVecMath.h>`

## Public Member Functions

template<class T>
void | tabVecRepminmax (T &min, T &max, const TabVecRep< T > &)
| Determine minimum and maximum value in a table vector.
template<class T>
void | tabVecRepindgen (TabVecRep< T > &, T start, T inc)
| Fills all elements of the table vector with a sequence starting with "start" and incrementing by "inc" for each element.
template<class T>
T | tabVecRepsum (const TabVecRep< T > &)
| Sum of all the elements of a table vector.
template<class T>
T | tabVecRepproduct (const TabVecRep< T > &)
| Product of all the elements of a table vector.

## Detailed Description

Miscellaneous table vector operations.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Fill a table vector or calculate the sum, product, minimum or maximum of its elements.

Definition at line 214 of file TVecMath.h.

## Member Function Documentation

## tabVecRepindgen()

template<class T>

void casacore::TVecMath_global_functions_miscellaneous::tabVecRepindgen | ( | TabVecRep< T > & | ,
|  | T | start,
|  | T | inc )

Fills all elements of the table vector with a sequence starting with "start" and incrementing by "inc" for each element.

## tabVecRepminmax()

template<class T>

void casacore::TVecMath_global_functions_miscellaneous::tabVecRepminmax | ( | T & | min,
|  | T & | max,
|  | const TabVecRep< T > & | )

Determine minimum and maximum value in a table vector.

Requires that the type "T" has comparison operators.

References casacore::max(), and casacore::min().

## tabVecRepproduct()

template<class T>

T casacore::TVecMath_global_functions_miscellaneous::tabVecRepproduct | ( | const TabVecRep< T > & |  | ) |

Product of all the elements of a table vector.

Warning: product can easily overflow;

## tabVecRepsum()

template<class T>

T casacore::TVecMath_global_functions_miscellaneous::tabVecRepsum | ( | const TabVecRep< T > & |  | ) |

Sum of all the elements of a table vector.

The documentation for this struct was generated from the following file:

- tables/Tables/TVecMath.h